Skip to content

Import a docker-save archive

POST/images/import

Experimental. Imports an image from a docker-save tar on the request body (application/octet-stream); ?tag selects one image in a multi-image archive.

query parameters
object
tagstring

Which image inside a multi-image docker-save archive to import.

Responses
201 CreatedCreated
ImageResponse
cmdarray
items
string
content_bytesintegerint64
convert_modestring
converted_at_unix_msintegerint64
digeststring
entriesinteger
entrypointarray
items
string
exposed_portsarray
items
string
size_bytesintegerint64
source_refstring
501 Not Implemented
ErrorResponse
errorstring
502 Bad gatewayBad Gateway
ErrorResponse
errorstring
Authentication
bearerAuthHTTP bearer. Daemon API key. Omit on a keyless loopback daemon.
Request
POST/images/import
cURL
curl '/images/import?tag=' \
  -X POST
Response
201 Created
{
  "cmd": [
    "string"
  ],
  "content_bytes": 0,
  "convert_mode": "string",
  "converted_at_unix_ms": 0,
  "digest": "string",
  "entries": 0,
  "entrypoint": [
    "string"
  ],
  "exposed_ports": [
    "string"
  ],
  "size_bytes": 0,
  "source_ref": "string"
}
Was this page helpful?